%?mingw_package_header

Summary:        Sample rate conversion library for audio data
Name:           mingw-libsamplerate
Version:        0.1.8
Release:        1%{?dist}
Group:          System Environment/Libraries
License:        GPLv2+
URL:            http://www.mega-nerd.com/SRC/
Source:         http://www.mega-nerd.com/SRC/libsamplerate-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-libsndfile >= 1.0.6, pkgconfig

%description
Secret Rabbit Code is a sample rate converter for audio. It is capable
of arbitrary and time varying conversions. It can downsample by a
factor of 12 and upsample by the same factor. The ratio of input and
output sample rates can be a real number. The conversion ratio can
also vary with time for speeding up and slowing down effects.


# Win32
%package -n mingw32-libsamplerate
Summary:        Sample rate conversion library for audio data
Requires:       pkgconfig


%description -n mingw32-libsamplerate
Secret Rabbit Code is a sample rate converter for audio. It is capable
of arbitrary and time varying conversions. It can downsample by a
factor of 12 and upsample by the same factor. The ratio of input and
output sample rates can be a real number. The conversion ratio can
also vary with time for speeding up and slowing down effects.


%?mingw32_debug_package


%prep
%setup -q -n libsamplerate-%{version}


%build
%mingw32_configure --disable-static
%mingw32_make %{?_smp_mflags}

%install
%mingw32_make DESTDIR=$RPM_BUILD_ROOT install

# zap docs, redundant with native package
rm -rf $RPM_BUILD_ROOT%{mingw32_docdir}
rm -rf $RPM_BUILD_ROOT%{mingw32_datadir}

# Drop all .la files
find $RPM_BUILD_ROOT -name "*.la" -delete


# Win32
%files -n mingw32-libsamplerate
%doc AUTHORS ChangeLog COPYING README
%{mingw32_bindir}/i686-w64-mingw32-sndfile-resample.exe
%{mingw32_bindir}/libsamplerate-0.dll
%{mingw32_includedir}/samplerate.h
%{mingw32_libdir}/libsamplerate.dll.a
%{mingw32_libdir}/pkgconfig/samplerate.pc


%changelog
* Wed Dec  7 2016 Fred Gleason<fredg@paravelsystems.com> - 0.1.8-1
- Initial package.

